package com.microservices.pms.product.mapper;

import com.microservices.pms.product.domain.PmsProductStatus;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 产品状态Mapper接口
 * 
 * @author otto
 * @date 2023-10-16
 */
public interface PmsProductStatusMapper 
{
    /**
     * 查询产品状态
     * 
     * @param id 产品状态主键
     * @return 产品状态
     */
    public PmsProductStatus selectPmsProductStatusById(Long id);

    /**
     * 查询产品状态列表
     * 
     * @param pmsProductStatus 产品状态
     * @return 产品状态集合
     */
    public List<PmsProductStatus> selectPmsProductStatusList(PmsProductStatus pmsProductStatus);

    /**
     * 新增产品状态
     * 
     * @param pmsProductStatus 产品状态
     * @return 结果
     */
    public int insertPmsProductStatus(PmsProductStatus pmsProductStatus);

    /**
     * 修改产品状态
     * 
     * @param pmsProductStatus 产品状态
     * @return 结果
     */
    public int updatePmsProductStatus(PmsProductStatus pmsProductStatus);

    /**
     * 删除产品状态
     * 
     * @param id 产品状态主键
     * @return 结果
     */
    public int deletePmsProductStatusById(Long id);

    /**
     * 批量删除产品状态
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePmsProductStatusByIds(Long[] ids);

    /**
     * 查询该类型下默认状态
     * @param type
     * @return
     */
    PmsProductStatus selectPmsProductDefaultStatusByType(Integer type);

    /**
     * 根据名称和类型查找状态
     * @param name 名称
     * @param type 类型
     * @return 状态
     */
    PmsProductStatus selectPmsProductStatusByNameAndType(@Param("name") String name, @Param("type") Integer type);
}
